> For the complete documentation index, see [llms.txt](https://docs.kyberswap.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kyberswap.com/~/changes/1kQEhDNzHMDf7SwOE6Yu/kyberswap-solutions/kyberswap-widget.md).

# KyberSwap Widget

Plug And Play The Best Rates Straight From Your App

## Overview

![The KyberSwap Widget](https://docs.kyberswap.com/assets/images/widget_powered_by_kyberswap-c8e301050927f11aac9f414ded1c88b6.gif)

KyberSwap Widget provides users of your website with a handy tool for swap tokens at the best rate. The KyberSwap Widget supports swaps across all Aggregator EVM chains. Please refer to [Supported Exchanges and Networks ](/~/changes/1kQEhDNzHMDf7SwOE6Yu/getting-started/supported-exchanges-and-networks.md)for the full list of supported chains.

For guides on how to integrate the KyberSwap Widget into your app, you can refer to [Integrating The KyberSwap Widget](/~/changes/1kQEhDNzHMDf7SwOE6Yu/kyberswap-solutions/kyberswap-widget/developer-guides/draft-integrating-the-kyberswap-widget.md).

## Example use cases

* Building a custom front-end for KyberSwap
* Swapping assets in a Defi application

## Endlessly customizable

You can customize the colors, font, and token list to match your app theme.. Alternatively, you can use our slightly modified sample `theme` to create your own look and feel.

![Sample 1](https://docs.kyberswap.com/assets/images/widget-customize-6327c3a7c7454fd6f2104e6a6a0d058b.png)

```javascript
const theme: Theme = {
  primary: '#1C1C1C',
  secondary: '#0F0F0F',
  dialog: '#313131',
  borderRadius: '20px',
  buttonRadius: '24px',
  stroke: '#505050',
  interactive: '#292929',
  accent: '##28E0B9',
  success: '189470',
  warning: 'FF9901',
  error: 'FF537B',
  text: '#FFFFFF',
  subtext: 'A9A9A9',
  fontFamily: 'Work Sans',
}
```

## Next steps

<details>

<summary>Developers</summary>

* [Explore key Aggregator concepts](/~/changes/1kQEhDNzHMDf7SwOE6Yu/kyberswap-solutions/kyberswap-aggregator/concepts.md)
* [Get the best rates straight in your app with the KyberSwap widget](/~/changes/1kQEhDNzHMDf7SwOE6Yu/kyberswap-solutions/kyberswap-widget/developer-guides/draft-integrating-the-kyberswap-widget.md)

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.kyberswap.com/~/changes/1kQEhDNzHMDf7SwOE6Yu/kyberswap-solutions/kyberswap-widget.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
